Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class DPFactory.DefaultFactory

    java.lang.Object
      org.biojava.bio.dp.DPFactory.DefaultFactory

All Implemented Interfaces:
  DPFactory

Enclosing interface:
  DPFactory

    public static class DPFactory.DefaultFactory

extends Object
implements DPFactory

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.dp.DPFactory
`DPFactory.DefaultFactory`

Field Summary

Fields inherited from interface org.biojava.bio.dp.DPFactory
`DEFAULT`

Constructor Summary
`DPFactory.DefaultFactory(CellCalculatorFactoryMaker cfFacM)`

Method Summary
`DP` | `createDP(MarkovModel model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPFactory.DefaultFactory

    public DPFactory.DefaultFactory(CellCalculatorFactoryMaker cfFacM)

Method Detail

### createDP

    public DP createDP(MarkovModel model)
                throws IllegalArgumentException,
                       BioException

  Specified by:
    `createDP` in interface `DPFactory`
  Throws:
    `IllegalArgumentException`
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD